# compare

Compares incoming buffers

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──compare

## Factory details

Authors: – Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk></mark.nauwelaerts@collabora.co.uk>

Classification: – `Filter/Debug`

Rank – none

Plugin – debugutilsbad

Package – GStreamer Bad Plug-ins

## Pad Templates

### `check`

    ANY

Presence – always

Direction – sink

Object type – GstPad

### `sink`

    ANY

Presence – always

Direction – sink

Object type – GstPad

### `src`

    ANY

Presence – always

Direction – src

Object type – GstPad

## Properties

### meta

    “meta” GstBufferCopyFlags *

Indicates which metadata should be compared

Flags : Read / Write

Default value : memory+meta+timestamps+flags

### method

    “method” Compare-method *

Method to compare buffer content

Flags : Read / Write

Default value : mem (0)

### offset-ts

    “offset-ts” gboolean

Consider OFFSET and OFFSET_END part of timestamp metadata

Flags : Read / Write

Default value : false

### threshold

    “threshold” gdouble

Threshold beyond which to consider content different as determined by content-method

Flags : Read / Write

Default value : 0

### upper

    “upper” gboolean

Whether threshold value is upper bound or lower bound for difference measure

Flags : Read / Write

Default value : true

## Named constants

### Compare-method

#### Members

`mem` (0) – Memory
`max` (1) – Maximum metric
`ssim` (2) – SSIM (raw video)

The results of the search are